## com.sun.jersey.core.util
Class Base64

    java.lang.Object
      com.sun.jersey.core.util.Base64

    public final class Base64

extends java.lang.Object

This class provides encode/decode for RFC 2045 Base64 as defined by RFC 2045, N. Freed and N. Borenstein. RFC 2045: Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies. Reference 1996

Author:
  Jeffrey Rodriguez

Constructor Summary
`Base64()`

Method Summary
`static java.lang.String` `base64Decode(java.lang.String orig)`
`static byte[]` `decode(byte[] base64Data)` Decodes Base64 data into octects
`static byte[]` `decode(java.lang.String data)` Decodes a string containing Base64 data
`static byte[]` `encode(byte[] binaryData)` Encodes hex octects into Base64.
`static byte[]` `encode(java.lang.String data)` Encodes hex octets of a UTF-8 encoded String into Base64
`static boolean` `isArrayByteBase64(byte[] arrayOctect)`
`static boolean` `isBase64(byte octet)`
`static boolean` `isBase64(java.lang.String isValidString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64

    public Base64()

Method Detail

### isBase64

    public static boolean isBase64(java.lang.String isValidString)

### isBase64

    public static boolean isBase64(byte octet)

### isArrayByteBase64

    public static boolean isArrayByteBase64(byte[] arrayOctect)

### encode

    public static byte[] encode(byte[] binaryData)

  Encodes hex octects into Base64.

  Parameters:
    `binaryData` - Array containing binary data to encode.
  Returns:
    Base64-encoded data.

### decode

    public static byte[] decode(byte[] base64Data)

  Decodes Base64 data into octects

  Parameters:
    `base64Data` - Byte array containing Base64 data
  Returns:
    Array containing decoded data.

### encode

    public static byte[] encode(java.lang.String data)

  Encodes hex octets of a UTF-8 encoded String into Base64

  Parameters:
    `data` - the String to encode.
  Returns:
    Encoded Base64 array

### decode

    public static byte[] decode(java.lang.String data)

  Decodes a string containing Base64 data

  Parameters:
    `data` - the String to decode.
  Returns:
    Decoded Base64 array

### base64Decode

    public static java.lang.String base64Decode(java.lang.String orig)

Copyright © 2017 Oracle Corporation. All Rights Reserved.